メインコンテンツへスキップ
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
pnl
ウォレット - PnL サマリー
curl --request GET \
  --url https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/pnl \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/pnl"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/pnl', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "avgProfitPerTradeInUsd": "402.86",
  "buyAmountInUsd": "101371192.39",
  "buys": "1515999",
  "losses": "348350",
  "realizedProfitInUsd": "802583.91",
  "realizedProfitRatio": "0.0035521324",
  "resolution": "1d",
  "sellAmountInUsd": "60369621.10",
  "sells": "1011994",
  "tokens": "15126",
  "totalCostInUsd": "225944253.64",
  "totalProfitInUsd": "1018427683.08",
  "totalProfitRatio": "4.5074290081",
  "totalTrades": "2527993",
  "unrealizedProfitInUsd": "1017625099.17",
  "unrealizedProfitRatio": "4.5038768756",
  "walletAddress": "54Pz1e35z9uoFdnxtzjp7xZQoFiofqhdayQWBMN7dsuy",
  "winRate": "0.5575",
  "wins": "438944",
  "updatedAt": "2026-02-04T11:42:50.000Z"
}
ウォレットの損益サマリーを取得します。すべてのトークンポジションにおける実現および未実現 PnL を表示します。
関連: GraphQL ウォレット PnL | MCP: wallet_get_pnl

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

chain
enum<string>
必須

サポートされているネットワークに記載されているチェーン名 Supported blockchain chains

利用可能なオプション:
sol,
eth,
bsc
walletAddress
string
必須

ウォレットのアドレス

クエリパラメータ

resolution
enum<string>
デフォルト:1d

PnL 時間解像度(1d, 7d, 30d, or all) PnL resolution period

利用可能なオプション:
1d,
7d,
30d,
all

レスポンス

200 - application/json

成功レスポンス

Wallet PnL Summary (aggregated across all tokens for a given resolution)

avgProfitPerTradeInUsd
string
必須

USD建ての取引あたり平均損益

:

"402.86"

buyAmountInUsd
string
必須

USD建ての総買い金額

:

"101371192.39"

buys
string
必須

買い取引の総数

:

"1515999"

losses
string
必須

損失が出た取引数

:

"348350"

realizedProfitInUsd
string
必須

USD建ての実現損益

:

"802583.91"

realizedProfitRatio
string
必須

実現損益率

:

"0.0035521324"

resolution
string
必須

PnL 時間解像度

:

"1d"

sellAmountInUsd
string
必須

USD建ての総売り金額

:

"60369621.10"

sells
string
必須

売り取引の総数

:

"1011994"

tokens
string
必須

取引トークンの総数

:

"15126"

totalCostInUsd
string
必須

USD建ての総コスト基準

:

"225944253.64"

totalProfitInUsd
string
必須

USD建ての合計損益(実現+未実現)

:

"1018427683.08"

totalProfitRatio
string
必須

合計損益率

:

"4.5074290081"

totalTrades
string
必須

全取引の総数

:

"2527993"

unrealizedProfitInUsd
string
必須

USD建ての未実現損益

:

"1017625099.17"

unrealizedProfitRatio
string
必須

未実現損益率

:

"4.5038768756"

walletAddress
string
必須

ウォレットアドレス

:

"54Pz1e35z9uoFdnxtzjp7xZQoFiofqhdayQWBMN7dsuy"

winRate
string
必須

勝ちトレードの全トレードに対する割合

:

"0.5575"

wins
string
必須

利益が出た取引数

:

"438944"

updatedAt
string | null

最終更新タイムスタンプ

:

"2026-02-04T11:42:50.000Z"